Closed Bug 1482029 Opened 2 years ago Closed Last year

Intermittent PID 8230 | Assertion failure: !js::gc::EdgeNeedsSweepUnbarrieredSlow(&tmp), at /builds/worker/workspace/build/src/obj-firefox/dist/include/js/Value.h:949

Categories

(Core :: JavaScript: GC, defect, P1, critical)

defect

Tracking

()

RESOLVED FIXED
mozilla63
Tracking Status
firefox-esr52 --- unaffected
firefox-esr60 --- unaffected
firefox61 --- unaffected
firefox62 --- fixed
firefox63 + fixed

People

(Reporter: intermittent-bug-filer, Assigned: jonco)

References

(Depends on 1 open bug)

Details

(Keywords: assertion, crash, intermittent-failure, Whiteboard: [stockwell disable-recommended])

Crash Data

Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=192802930&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/Ep-wnfQeQlezH_sdzwXlzQ/runs/0/artifacts/public/logs/live_backing.log

[task 2018-08-08T15:25:58.633Z] 15:25:58     INFO - PID 8230 | 1533741958628	webdriver::server	DEBUG	-> POST /session/a77ebcbd-7eb1-43e7-ab17-33027bf8b1d2/url {"url": "http://web-platform.test:8000/webdriver/tests/support/inline.py?doc=%3Cdiv%3E%3Ca+href%3D%23%3Enot+wanted%3C%2Fa%3E%3Cbr%2F%3E%3Ca+href%3D%23%3Elink%26amp%3Btext%3C%2Fa%3E%3C%2Fdiv%3E&content-type=text%2Fhtml%3Bcharset%3Dutf-8"}
[task 2018-08-08T15:25:58.633Z] 15:25:58     INFO - PID 8230 | 1533741958629	Marionette	TRACE	0 -> [0,2266,"WebDriver:Navigate",{"url":"http://web-platform.test:8000/webdriver/tests/support/inline.py?doc=%3Cdiv%3E%3Ca+href%3 ... d%3C%2Fa%3E%3Cbr%2F%3E%3Ca+href%3D%23%3Elink%26amp%3Btext%3C%2Fa%3E%3C%2Fdiv%3E&content-type=text%2Fhtml%3Bcharset%3Dutf-8"}]
[task 2018-08-08T15:25:58.690Z] 15:25:58     INFO - PID 8230 | 1533741958678	Marionette	DEBUG	[4294967297] Received DOM event beforeunload for http://web-platform.test:8000/webdriver/tests/support/inline.py?doc=%3Cdiv%3E%3Ca+href%3D%23%3Enot+wanted%3C%2Fa%3E%3Cbr%2F%3E%3Ca+href%3D%23%3Elink%3Cbr%3Etext%3C%2Fa%3E%3C%2Fdiv%3E&content-type=text%2Fhtml%3Bcharset%3Dutf-8
[task 2018-08-08T15:25:58.746Z] 15:25:58     INFO - PID 8230 | 1533741958736	Marionette	DEBUG	[4294967297] Received DOM event pagehide for http://web-platform.test:8000/webdriver/tests/support/inline.py?doc=%3Cdiv%3E%3Ca+href%3D%23%3Enot+wanted%3C%2Fa%3E%3Cbr%2F%3E%3Ca+href%3D%23%3Elink%3Cbr%3Etext%3C%2Fa%3E%3C%2Fdiv%3E&content-type=text%2Fhtml%3Bcharset%3Dutf-8
[task 2018-08-08T15:25:58.747Z] 15:25:58     INFO - PID 8230 | 1533741958740	Marionette	DEBUG	[4294967297] Received DOM event unload for http://web-platform.test:8000/webdriver/tests/support/inline.py?doc=%3Cdiv%3E%3Ca+href%3D%23%3Enot+wanted%3C%2Fa%3E%3Cbr%2F%3E%3Ca+href%3D%23%3Elink%3Cbr%3Etext%3C%2Fa%3E%3C%2Fdiv%3E&content-type=text%2Fhtml%3Bcharset%3Dutf-8
[task 2018-08-08T15:25:58.748Z] 15:25:58     INFO - PID 8230 | ++DOMWINDOW == 94 (0x7f691a6d3000) [pid = 9314] [serial = 105] [outer = 0x7f6939558800]
[task 2018-08-08T15:25:58.792Z] 15:25:58     INFO - PID 8230 | 1533741958787	Marionette	DEBUG	[4294967297] Received DOM event DOMContentLoaded for http://web-platform.test:8000/webdriver/tests/support/inline.py?doc=%3Cdiv%3E%3Ca+href%3D%23%3Enot+wanted%3C%2Fa%3E%3Cbr%2F%3E%3Ca+href%3D%23%3Elink%26amp%3Btext%3C%2Fa%3E%3C%2Fdiv%3E&content-type=text%2Fhtml%3Bcharset%3Dutf-8
[task 2018-08-08T15:25:58.828Z] 15:25:58     INFO - PID 8230 | 1533741958826	Marionette	DEBUG	[4294967297] Received DOM event pageshow for http://web-platform.test:8000/webdriver/tests/support/inline.py?doc=%3Cdiv%3E%3Ca+href%3D%23%3Enot+wanted%3C%2Fa%3E%3Cbr%2F%3E%3Ca+href%3D%23%3Elink%26amp%3Btext%3C%2Fa%3E%3C%2Fdiv%3E&content-type=text%2Fhtml%3Bcharset%3Dutf-8
[task 2018-08-08T15:25:58.839Z] 15:25:58     INFO - PID 8230 | 1533741958831	Marionette	TRACE	0 <- [1,2266,null,{"value":null}]
[task 2018-08-08T15:25:58.840Z] 15:25:58     INFO - PID 8230 | 1533741958833	webdriver::server	DEBUG	<- 200 OK {"value": null}
[task 2018-08-08T15:25:58.840Z] 15:25:58     INFO - PID 8230 | 1533741958836	webdriver::server	DEBUG	-> POST /session/a77ebcbd-7eb1-43e7-ab17-33027bf8b1d2/element {"using": "css selector", "value": "div"}
[task 2018-08-08T15:25:58.861Z] 15:25:58     INFO - PID 8230 | 1533741958856	Marionette	TRACE	0 -> [0,2267,"WebDriver:FindElement",{"using":"css selector","value":"div"}]
[task 2018-08-08T15:25:58.870Z] 15:25:58     INFO - PID 8230 | Assertion failure: !js::gc::EdgeNeedsSweepUnbarrieredSlow(&tmp), at /builds/worker/workspace/build/src/obj-firefox/dist/include/js/Value.h:949
[task 2018-08-08T15:25:58.872Z] 15:25:58     INFO - PID 8230 | #01: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x1fe74d6]
[task 2018-08-08T15:25:58.872Z] 15:25:58     INFO - PID 8230 | #02: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x1ef4b09]
[task 2018-08-08T15:25:58.872Z] 15:25:58     INFO - PID 8230 | #03: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x22e5415]
[task 2018-08-08T15:25:58.879Z] 15:25:58     INFO - PID 8230 | #04: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x18c66e2]
[task 2018-08-08T15:25:58.880Z] 15:25:58     INFO - PID 8230 | #05: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x12d7376]
[task 2018-08-08T15:25:58.881Z] 15:25:58     INFO - PID 8230 | #06: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x12dfcb8]
[task 2018-08-08T15:25:58.881Z] 15:25:58     INFO - PID 8230 | #07: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x12e5b06]
[task 2018-08-08T15:25:58.882Z] 15:25:58     INFO - PID 8230 | #08: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x1769bde]
[task 2018-08-08T15:25:58.882Z] 15:25:58     INFO - PID 8230 | #09: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x12c798e]
[task 2018-08-08T15:25:58.883Z] 15:25:58     INFO - PID 8230 | #10: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xc2b0a6]
[task 2018-08-08T15:25:58.883Z] 15:25:58     INFO - PID 8230 | #11: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x12ecbcb]
[task 2018-08-08T15:25:58.884Z] 15:25:58     INFO - PID 8230 | #12: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x12f0258]
[task 2018-08-08T15:25:58.885Z] 15:25:58     INFO - PID 8230 | #13: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x12f830b]
[task 2018-08-08T15:25:58.885Z] 15:25:58     INFO - PID 8230 | #14: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x3847035]
[task 2018-08-08T15:25:58.886Z] 15:25:58     INFO - PID 8230 | #15: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385cb47]
[task 2018-08-08T15:25:58.887Z] 15:25:58     INFO - PID 8230 | #16: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385d13e]
[task 2018-08-08T15:25:58.887Z] 15:25:58     INFO - PID 8230 | #17: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x384fcb8]
[task 2018-08-08T15:25:58.889Z] 15:25:58     INFO - PID 8230 | #18: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385c676]
[task 2018-08-08T15:25:58.890Z] 15:25:58     INFO - PID 8230 | #19: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385cbf7]
[task 2018-08-08T15:25:58.890Z] 15:25:58     INFO - PID 8230 | #20: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385d13e]
[task 2018-08-08T15:25:58.892Z] 15:25:58     INFO - PID 8230 | #21: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385d2a0]
[task 2018-08-08T15:25:58.893Z] 15:25:58     INFO - PID 8230 | #22: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x3cbba63]
[task 2018-08-08T15:25:58.893Z] 15:25:58     INFO - PID 8230 | #23: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x3caac13]
[task 2018-08-08T15:25:58.895Z] 15:25:58     INFO - PID 8230 | #24: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x3ca4c52]
[task 2018-08-08T15:25:58.896Z] 15:25:58     INFO - PID 8230 | #25: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385cfb0]
[task 2018-08-08T15:25:58.897Z] 15:25:58     INFO - PID 8230 | #26: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385d13e]
[task 2018-08-08T15:25:58.899Z] 15:25:58     INFO - PID 8230 | #27: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x384fcb8]
[task 2018-08-08T15:25:58.900Z] 15:25:58     INFO - PID 8230 | #28: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385c676]
[task 2018-08-08T15:25:58.900Z] 15:25:58     INFO - PID 8230 | #29: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385cbf7]
[task 2018-08-08T15:25:58.901Z] 15:25:58     INFO - PID 8230 | #30: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385d13e]
[task 2018-08-08T15:25:58.903Z] 15:25:58     INFO - PID 8230 | #31: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385d2a0]
[task 2018-08-08T15:25:58.904Z] 15:25:58     INFO - PID 8230 | #32: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x3ea7a7f]
[task 2018-08-08T15:25:58.904Z] 15:25:58     INFO - PID 8230 | #33: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x3ce5edc]
[task 2018-08-08T15:25:58.906Z] 15:25:58     INFO - PID 8230 | #34: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x38e07a7]
[task 2018-08-08T15:25:58.907Z] 15:25:58     INFO - PID 8230 | #35: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x3847035]
[task 2018-08-08T15:25:58.908Z] 15:25:58     INFO - PID 8230 | #36: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385cb47]
[task 2018-08-08T15:25:58.909Z] 15:25:58     INFO - PID 8230 | #37: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385d13e]
[task 2018-08-08T15:25:58.910Z] 15:25:58     INFO - PID 8230 | #38: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x385d2a0]
[task 2018-08-08T15:25:58.911Z] 15:25:58     INFO - PID 8230 | #39: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x3c7c9c0]
[task 2018-08-08T15:25:58.912Z] 15:25:58     INFO - PID 8230 | #40: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x1adb455]
[task 2018-08-08T15:25:58.914Z] 15:25:58     INFO - PID 8230 | #41: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xb8af1e]
[task 2018-08-08T15:25:58.915Z] 15:25:58     INFO - PID 8230 | #42: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xb8af7c]
[task 2018-08-08T15:25:58.915Z] 15:25:58     INFO - PID 8230 | #43: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xb8ed42]
[task 2018-08-08T15:25:58.916Z] 15:25:58     INFO - PID 8230 | #44: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xb9ee61]
[task 2018-08-08T15:25:58.918Z] 15:25:58     INFO - PID 8230 | #45: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x1fef8a0]
[task 2018-08-08T15:25:58.919Z] 15:25:58     INFO - PID 8230 | #46: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x1791561]
[task 2018-08-08T15:25:58.920Z] 15:25:58     INFO - PID 8230 | #47: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x2728b84]
[task 2018-08-08T15:25:58.921Z] 15:25:58     INFO - PID 8230 | #48: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x2733f94]
[task 2018-08-08T15:25:58.922Z] 15:25:58     INFO - PID 8230 | #49: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x122639b]
[task 2018-08-08T15:25:58.923Z] 15:25:58     INFO - PID 8230 | #50: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x1019cae]
[task 2018-08-08T15:25:58.925Z] 15:25:58     INFO - PID 8230 | #51: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x10248c1]
[task 2018-08-08T15:25:58.926Z] 15:25:58     INFO - PID 8230 | #52: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x102598e]
[task 2018-08-08T15:25:58.927Z] 15:25:58     INFO - PID 8230 | #53: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x10259fe]
[task 2018-08-08T15:25:58.929Z] 15:25:58     INFO - PID 8230 | #54: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xc05561]
[task 2018-08-08T15:25:58.930Z] 15:25:58     INFO - PID 8230 | #55: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xc21e2f]
[task 2018-08-08T15:25:58.930Z] 15:25:58     INFO - PID 8230 | #56: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xc1b1ba]
[task 2018-08-08T15:25:58.931Z] 15:25:58     INFO - PID 8230 | #57: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x101b064]
[task 2018-08-08T15:25:58.933Z] 15:25:58     INFO - PID 8230 | #58: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xfee555]
[task 2018-08-08T15:25:58.934Z] 15:25:58     INFO - PID 8230 | #59: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xfee581]
[task 2018-08-08T15:25:58.935Z] 15:25:58     INFO - PID 8230 | #60: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x2947ec3]
[task 2018-08-08T15:25:58.936Z] 15:25:58     INFO - PID 8230 | #61: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x376aaf8]
[task 2018-08-08T15:25:58.938Z] 15:25:58     INFO - PID 8230 | #62: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x101b125]
[task 2018-08-08T15:25:58.939Z] 15:25:58     INFO - PID 8230 | #63: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xfee555]
[task 2018-08-08T15:25:58.940Z] 15:25:58     INFO - PID 8230 | #64: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0xfee581]
[task 2018-08-08T15:25:58.941Z] 15:25:58     INFO - PID 8230 | #65: ???[/builds/worker/workspace/build/application/firefox/libxul.so +0x376b0aa]
[task 2018-08-08T15:25:58.942Z] 15:25:58     INFO - PID 8230 | #66: ???[/builds/worker/workspace/build/application/firefox/firefox +0x6e47]
[task 2018-08-08T15:25:58.943Z] 15:25:58     INFO - PID 8230 | #67: ???[/builds/worker/workspace/build/application/firefox/firefox +0x69b7]
[task 2018-08-08T15:25:58.944Z] 15:25:58     INFO - PID 8230 | #68: __libc_start_main[/lib/x86_64-linux-gnu/libc.so.6 +0x20830]
[task 2018-08-08T15:25:58.945Z] 15:25:58     INFO - PID 8230 | #69: ???[/builds/worker/workspace/build/application/firefox/firefox +0x6bc1]
[task 2018-08-08T15:25:58.975Z] 15:25:58     INFO - PID 8230 | 
[task 2018-08-08T15:25:58.975Z] 15:25:58     INFO - PID 8230 | ###!!! [Parent][MessageChannel] Error: (msgtype=0x17007C,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
[task 2018-08-08T15:25:58.976Z] 15:25:58     INFO - PID 8230 | 
[task 2018-08-08T15:25:58.983Z] 15:25:58     INFO - PID 8230 | 
[task 2018-08-08T15:25:58.984Z] 15:25:58     INFO - PID 8230 | ###!!! [Parent][MessageChannel] Error: (msgtype=0x17007C,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
[task 2018-08-08T15:25:58.985Z] 15:25:58     INFO - PID 8230 | 
[task 2018-08-08T15:25:59.001Z] 15:25:59     INFO - PID 8230 | ++DOCSHELL 0x7fdbab444800 == 6 [pid = 9240] [id = {460e19f6-2c0e-416a-afa4-2005e8a4d6eb}]
[task 2018-08-08T15:25:59.002Z] 15:25:59     INFO - PID 8230 | ++DOMWINDOW == 11 (0x7fdbab97ba00) [pid = 9240] [serial = 17] [outer = (nil)]
[task 2018-08-08T15:25:59.039Z] 15:25:59     INFO - PID 8230 | ++DOMWINDOW == 12 (0x7fdbab4b4400) [pid = 9240] [serial = 18] [outer = 0x7fdbab97ba00]
[task 2018-08-08T15:25:59.067Z] 15:25:59     INFO - PID 8230 | 1533741959061	Marionette	DEBUG	[17] Frame script loaded
[task 2018-08-08T15:25:59.068Z] 15:25:59     INFO - PID 8230 | 1533741959062	Marionette	DEBUG	[17] Frame script registered
[task 2018-08-08T15:25:59.150Z] 15:25:59     INFO - PID 8230 | A content process crashed and MOZ_CRASHREPORTER_SHUTDOWN is set, shutting down
[task 2018-08-08T15:25:59.260Z] 15:25:59     INFO - PID 8230 | ++DOMWINDOW == 13 (0x7fdbab2a4400) [pid = 9240] [serial = 19] [outer = 0x7fdbab97ba00]
[task 2018-08-08T15:25:59.397Z] 15:25:59     INFO - PID 8230 | 1533741959391	Marionette	DEBUG	Received DOM event unload for [object XULDocument]
[task 2018-08-08T15:25:59.425Z] 15:25:59     INFO - PID 8230 | 1533741959419	Marionette	DEBUG	Received observer notification message-manager-disconnect
[task 2018-08-08T15:25:59.425Z] 15:25:59     INFO - PID 8230 | 1533741959422	Marionette	TRACE	0 <- [1,2267,null,{"value":null}]
[task 2018-08-08T15:25:59.446Z] 15:25:59     INFO - PID 8230 | 1533741959437	webdriver::server	DEBUG	<- 500 Internal Server Error {"value":{"error":"unknown error","message":"Failed to convert data to an object","stacktrace":""}}
[task 2018-08-08T15:25:59.467Z] 15:25:59     INFO - PID 8230 | [Child 9293, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 934
[task 2018-08-08T15:25:59.471Z] 15:25:59     INFO - PID 8230 | [Parent 9240, Socket Thread] WARNING: cannot post event if not initialized: file /builds/worker/workspace/build/src/netwerk/protocol/http/nsHttpConnectionMgr.cpp, line 301
[task 2018-08-08T15:25:59.499Z] 15:25:59     INFO - PID 8230 | [Parent 9240, Main Thread] WARNING: unable to post continuation event: file /builds/worker/workspace/build/src/xpcom/io/nsStreamUtils.cpp, line 490
[task 2018-08-08T15:25:59.502Z] 15:25:59     INFO - PID 8230 | 1533741959496	Marionette	DEBUG	Closed connection 0
[task 2018-08-08T15:25:59.543Z] 15:25:59     INFO - STDOUT: FAILED
Duplicate of this bug: 1482064
Probably a missing barrier in the browser.

Anyone know why we're not getting a stack trace here?
It's because of bug 1348961. Marionette which is used by all those harnesses isn't able yet to symbolicate it.
Right, the backfill is basically to a test being enabled.
Duplicate of this bug: 1482316
Duplicate of this bug: 1482303
Duplicate of this bug: 1482143
(In reply to Sebastian Hengst [:aryx] (needinfo on intermittent or backout) from comment #10)
> Adam, this started when bug 1397297 and bug 1451172 landed

smaug, could you take a look?
Flags: needinfo?(agashlin) → needinfo?(bugs)
So we need a stack trace here. bug 1397297 has revealed some existing bug, it seems.
Depends on: 1348961
Flags: needinfo?(bugs)
Duplicate of this bug: 1482543
Here a crash on MacOS which thankfully gives a crash stack:
https://treeherder.mozilla.org/logviewer.html#?job_id=193222307&repo=autoland&lineNumber=4482

Olli, does this already help you? If not I would have to manually symbolicate the assertion output.
Flags: needinfo?(bugs)
That looks like a dup, I think. Jon was looking something similar in a different bug.
Flags: needinfo?(bugs) → needinfo?(jcoppeard)
So I tried to use the `tools/rb/fix_stack_using_bpsyms.py` script to symbolicate the assertion stack from the job in my last comment by using the breakpad symbols and the build from https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=64e80e767f816f6cf43f906b40b603a245fe2110&selectedJob=193220892.

Sadly when calling the script nothing is printed out at all. This happens because the used `line_re` regex doesn't apply to any of the lines, and as such no output is generated. Ted, is that a known problem?

Then I manually called `addressToSymbol()` with the file and address, and here the result from the first 5 lines:

> mozilla::dom::DOMProxyHandler::EnsureExpandoObject(JSContext*, JS::Handle<JSObject*>) [dom/bindings/DOMJSProxyHandler.cpp:124]
> mozilla::dom::HTMLDocument_Binding::Wrap(JSContext*, nsHTMLDocument*, nsWrapperCache*, JS::Handle<JSObject*>, JS::MutableHandle<JSObject*>) [js/public/RootingAPI.h:1004]
> nsHTMLDocument::WrapNode(JSContext*, JS::Handle<JSObject*>) [js/public/RootingAPI.h:1011]
> nsINode::WrapObject(JSContext*, JS::Handle<JSObject*>) [js/public/RootingAPI.h:1004]
> mozilla::dom::XPCOMObjectToJsval(JSContext*, JS::Handle<JSObject*>, xpcObjectHelper&, nsID const*, bool, JS::MutableHandle<JS::Value>) [dom/bindings/BindingUtils.cpp:1117]

I hope that helps.
Flags: needinfo?(ted)
I haven't heard of any such thing. AFAIK the assertion stack output format hasn't changed in quite a while. Are you pasting the logs directly from treeherder/taskcluster? The script expects to get output directly from Firefox, and the Taskcluster/mozharness layers add additional timestamps and whatnot to the beginning of each line.
Flags: needinfo?(ted)
No, I removed this extra layer. The lines looked like:

> !js::gc::EdgeNeedsSweepUnbarrieredSlow(&tmp), at /builds/worker/workspace/build/src/obj-firefox/dist/include/js/Value.h:949
> mozilla_dump_image[/Users/cltbld/tasks/task_1533880046/build/application/Firefox NightlyDebug.app/Contents/MacOS/XUL +0x2642078]
> mozilla_dump_image[/Users/cltbld/tasks/task_1533880046/build/application/Firefox NightlyDebug.app/Contents/MacOS/XUL +0x23f3a2c]
Flags: needinfo?(ted)
Duplicate of this bug: 1482486
I don't have any useful input to offer here then, sorry.
Flags: needinfo?(ted)
See Also: → 1482260
Not sure if the crash as tracked on bug 1483702 is the same, but it has a crash stack for an opt build.
Here is a crash with a valid stack frames, which actually correlates to the frames I got in comment 19:

https://treeherder.mozilla.org/logviewer.html#?job_id=194187205&repo=try&lineNumber=4784

Here the first 10 frames:

22:09:48     INFO - Crash reason:  EXCEPTION_BREAKPOINT
22:09:48     INFO - Crash address: 0x7ffd5e3edb97
22:09:48     INFO - Assertion: Unknown assertion type 0x00000000
22:09:48     INFO - Process uptime: 40 seconds
22:09:48     INFO - 
22:09:48     INFO - Thread 0 (crashed)
22:09:48     INFO -  0  xul.dll!js::WrappedPtrOperations<JS::Value,JS::Heap<JS::Value> >::isObject() [Value.h:420590ac01b2353c6105228b5046418c4f3a2215 : 1303 + 0x22]
22:09:48     INFO -     rax = 0x0000000000000000   rdx = 0x000000bdc45fbe78
22:09:48     INFO -     rcx = 0x00000000ffffffff   rbx = 0x000002ae2d625000
22:09:48     INFO -     rsi = 0x000002ae31bfc7d8   rdi = 0x000002ae31bfc7d8
22:09:48     INFO -     rbp = 0x000002ae31bfc008   rsp = 0x000000bdc45fbe60
22:09:48     INFO -      r8 = 0x000000bdc45fbe70    r9 = 0x000000bdc45fbe68
22:09:48     INFO -     r10 = 0x0000000000000000   r11 = 0x000000bdc45f73f0
22:09:48     INFO -     r12 = 0x000002ae31bfc000   r13 = 0x000002ae2d625020
22:09:48     INFO -     r14 = 0xfff9800000000000   r15 = 0x000000bdc45fc0d8
22:09:48     INFO -     rip = 0x00007ffd5e3edb97
22:09:48     INFO -     Found by: given as instruction pointer in context
22:09:48     INFO -  1  xul.dll!mozilla::dom::DOMProxyHandler::EnsureExpandoObject(JSContext *,JS::Handle<JSObject *>) [DOMJSProxyHandler.cpp:420590ac01b2353c6105228b5046418c4f3a2215 : 124 + 0x8]
22:09:48     INFO -     rbx = 0x000002ae2d625000   rbp = 0x000002ae31bfc008
22:09:48     INFO -     rsp = 0x000000bdc45fbeb0   r12 = 0x000002ae31bfc000
22:09:48     INFO -     r13 = 0x000002ae2d625020   r14 = 0xfff9800000000000
22:09:48     INFO -     r15 = 0x000000bdc45fc0d8   rip = 0x00007ffd5e3e531c
22:09:48     INFO -     Found by: call frame info
22:09:48     INFO -  2  xul.dll!mozilla::dom::HTMLDocument_Binding::Wrap(JSContext *,nsHTMLDocument *,nsWrapperCache *,JS::Handle<JSObject *>,JS::MutableHandle<JSObject *>) [HTMLDocumentBinding.cpp: : 2140 + 0xb]
22:09:48     INFO -     rbx = 0x000002ae2d625000   rbp = 0x000002ae31bfc008
22:09:48     INFO -     rsp = 0x000000bdc45fbf50   r12 = 0x000002ae31bfc000
22:09:48     INFO -     r13 = 0x000002ae2d625020   r14 = 0xfff9800000000000
22:09:48     INFO -     r15 = 0x000000bdc45fc0d8   rip = 0x00007ffd5e1be13a
22:09:48     INFO -     Found by: call frame info
22:09:48     INFO -  3  xul.dll!nsHTMLDocument::WrapNode(JSContext *,JS::Handle<JSObject *>) [nsHTMLDocument.cpp:420590ac01b2353c6105228b5046418c4f3a2215 : 205 + 0x47]
22:09:48     INFO -     rbx = 0x000002ae2d625000   rbp = 0x000002ae31bfc008
22:09:48     INFO -     rsp = 0x000000bdc45fc0a0   r12 = 0x000002ae31bfc000
22:09:48     INFO -     r13 = 0x000002ae2d625020   r14 = 0xfff9800000000000
22:09:48     INFO -     r15 = 0x000000bdc45fc0d8   rip = 0x00007ffd5e8e7fc2
22:09:48     INFO -     Found by: call frame info
22:09:48     INFO -  4  xul.dll!nsINode::WrapObject(JSContext *,JS::Handle<JSObject *>) [nsINode.cpp:420590ac01b2353c6105228b5046418c4f3a2215 : 2806 + 0x13]
22:09:48     INFO -     rbx = 0x000002ae2d625000   rbp = 0x000002ae31bfc008
22:09:48     INFO -     rsp = 0x000000bdc45fc100   r12 = 0x000002ae31bfc000
22:09:48     INFO -     r13 = 0x000002ae2d625020   r14 = 0xfff9800000000000
22:09:48     INFO -     r15 = 0x000000bdc45fc0d8   rip = 0x00007ffd5d48a3e2
22:09:48     INFO -     Found by: call frame info
22:09:48     INFO -  5  xul.dll!mozilla::dom::XPCOMObjectToJsval(JSContext *,JS::Handle<JSObject *>,xpcObjectHelper &,nsID const *,bool,JS::MutableHandle<JS::Value>) [BindingUtils.cpp:420590ac01b2353c6105228b5046418c4f3a2215 : 1183 + 0x147]
22:09:48     INFO -     rbx = 0x000002ae2d625000   rbp = 0x000002ae31bfc008
22:09:48     INFO -     rsp = 0x000000bdc45fc170   r12 = 0x000002ae31bfc000
22:09:48     INFO -     r13 = 0x000002ae2d625020   r14 = 0xfff9800000000000
22:09:48     INFO -     r15 = 0x000000bdc45fc0d8   rip = 0x00007ffd5e3dfe7b
22:09:48     INFO -     Found by: call frame info
22:09:48     INFO -  6  xul.dll!static class JSObject * mozilla::dom::WrapNativeISupports<nsISupports>(struct JSContext *, class nsISupports *, class nsWrapperCache *) [BindingUtils.h:420590ac01b2353c6105228b5046418c4f3a2215 : 1612 + 0x1c]
22:09:48     INFO -     rbx = 0x000002ae2d625000   rbp = 0x000002ae31bfc008
22:09:48     INFO -     rsp = 0x000000bdc45fc1f0   r12 = 0x000002ae31bfc000
22:09:48     INFO -     r13 = 0x000002ae2d625020   r14 = 0xfff9800000000000
22:09:48     INFO -     r15 = 0x000000bdc45fc0d8   rip = 0x00007ffd5d596cee
22:09:48     INFO -     Found by: call frame info
22:09:48     INFO -  7  xul.dll!mozilla::dom::WrapNativeHelper<nsISupports,0>::Wrap(JSContext *,nsISupports *,nsWrapperCache *) [BindingUtils.h:420590ac01b2353c6105228b5046418c4f3a2215 : 1660 + 0xe]
22:09:48     INFO -     rbx = 0x000002ae2d625000   rbp = 0x000002ae31bfc008
22:09:48     INFO -     rsp = 0x000000bdc45fc2a0   r12 = 0x000002ae31bfc000
22:09:48     INFO -     r13 = 0x000002ae2d625020   r14 = 0xfff9800000000000
22:09:48     INFO -     r15 = 0x000000bdc45fc0d8   rip = 0x00007ffd5d596ac9
22:09:48     INFO -     Found by: call frame info
22:09:48     INFO -  8  xul.dll!static class JSObject * mozilla::dom::FindAssociatedGlobal<mozilla::dom::ParentObject>(struct JSContext *, const struct mozilla::dom::ParentObject & const) [BindingUtils.h:420590ac01b2353c6105228b5046418c4f3a2215 : 1709 + 0x1e]
22:09:48     INFO -     rbx = 0x000002ae2d625000   rbp = 0x000002ae31bfc008
22:09:48     INFO -     rsp = 0x000000bdc45fc310   r12 = 0x000002ae31bfc000
22:09:48     INFO -     r13 = 0x000002ae2d625020   r14 = 0xfff9800000000000
22:09:48     INFO -     r15 = 0x000000bdc45fc0d8   rip = 0x00007ffd5e1ab727
22:09:48     INFO -     Found by: call frame info
22:09:48     INFO -  9  xul.dll!mozilla::dom::HTMLButtonElement_Binding::Wrap(JSContext *,mozilla::dom::HTMLButtonElement *,nsWrapperCache *,JS::Handle<JSObject *>,JS::MutableHandle<JSObject *>) [HTMLButtonElementBinding.cpp: : 1287 + 0x8]
22:09:48     INFO -     rbx = 0x000002ae2d625000   rbp = 0x000002ae31bfc008
22:09:48     INFO -     rsp = 0x000000bdc45fc370   r12 = 0x000002ae31bfc000
22:09:48     INFO -     r13 = 0x000002ae2d625020   r14 = 0xfff9800000000000
22:09:48     INFO -     r15 = 0x000000bdc45fc0d8   rip = 0x00007ffd5e1b026b
22:09:48     INFO -     Found by: call frame info
22:09:48     INFO - 10  xul.dll!mozilla::dom::HTMLButtonElement::WrapNode(JSContext *,JS::Handle<JSObject *>) [HTMLButtonElement.cpp:420590ac01b2353c6105228b5046418c4f3a2215 : 498 + 0x47]
22:09:48     INFO -     rbx = 0x000002ae2d625000   rbp = 0x000002ae31bfc008
22:09:48     INFO -     rsp = 0x000000bdc45fc470   r12 = 0x000002ae31bfc000
22:09:48     INFO -     r13 = 0x000002ae2d625020   r14 = 0xfff9800000000000
22:09:48     INFO -     r15 = 0x000000bdc45fc0d8   rip = 0x00007ffd5e821592
22:09:48     INFO -     Found by: call frame info
Severity: normal → critical
Crash Signature: [@ mozilla::dom::DOMProxyHandler::EnsureExpandoObject(JSContext *,JS::Handle<JSObject *>)]
Keywords: assertion, crash
(In reply to Boris Zbarsky [:bzbarsky, bz on IRC] (vacation Aug 16-27) from comment #6)
> Right, the backfill is basically to a test being enabled.

No, it goes back to:

https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=b7c54bc98cc7143112e114a996de58615feb5b28&filter-searchStr=9ed2f1bf6335ef7cb79ec0026f8f6600ad67d010

Which leads to bug 1397297, or bug 1451172. Olli, both are yours. Can you please check?
Flags: needinfo?(bugs)
Btw. only bug 1451172 got uplifted to firefox-62, which would explain the crashes on that branch.
Yeah, I'm not so sure why RyanVM was so keen on uplifting that. Let's back that out from beta.
Flags: needinfo?(bugs)
The patch on bug 1451172 was backed out from beta. So this only affects trunk now.
Olli, will you have a look at this bug, or should we ask someone else?
Flags: needinfo?(bugs)
Hopefully later this week or next week.
Please note that for reproducing this crash you want to run the following tests, which have a high failure rate across all integration branches:

> mach wpt --webdriver-arg=-vv testing/web-platform/tests/webdriver/tests/actions/mouse.py 
> mach wpt --webdriver-arg=-vv testing/web-platform/tests/webdriver/tests/actions/special_keys.py
> mach wpt --webdriver-arg=-vv testing/web-platform/tests/webdriver/tests/find_elements_from_element/find.py
Flags: needinfo?(jcoppeard)
(In reply to Intermittent Failures Robot from comment #39)
> 23 failures in 522 pushes (0.044 failures/push) were associated with this
> bug yesterday.

Note, that the numbers are actually higher given the number of possible dupes, which I have added as being blocked by this bug.
No longer blocks: 1483702
Update: There have been 153 failures in the last 7 days.

The most affected platforms are: windows10-64, windows7-32, linux64, linux32.
The most affected build type is debug, but there is also a small number of occurrences on pgo & opt.

Depends on 1348961

Summary: Intermittent PID 8230 | Assertion failure: !js::gc::EdgeNeedsSweepUnbarrieredSlow(&tmp), at /builds/worker/workspace/build/src/obj-firefox/dist/include/js/Value.h:949

Recent relevant log file: https://treeherder.mozilla.org/logviewer.html#?job_id=197168235&repo=autoland&lineNumber=3203
We will know more later today given that a patch landed today, which might fix this problem. I will keep an eye on it.
Flags: needinfo?(hskupin)
As it looks like with the fix on bug 1481844 landed on inbound we no longer see those assertions and crashes for Marionette driven test suites.
Depends on: 1481844
Flags: needinfo?(bugs)
Since the patch landed there were indeed no more failures on any trunk branch:

https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2018-08-28&endday=2018-09-04&tree=all&bug=1482029

I'm going to mark this bug as fixed based on the patch landed by Jon.

Thanks!
Assignee: nobody → jcoppeard
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → FIXED
Target Milestone: --- → mozilla63
Duplicate of this bug: 1484517
Duplicate of this bug: 1487870
Duplicate of this bug: 1485482
Duplicate of this bug: 1487283
Duplicate of this bug: 1487658
Duplicate of this bug: 1485657
Duplicate of this bug: 1486317
Flags: needinfo?(hskupin)
Priority: P5 → P1
You need to log in before you can comment on or make changes to this bug.